/beta/dark_oil/volumes#

Fetch aggregated transaction volume data from dark oil terminals

Endpoint#

POST

https://hyperion.api.synmax.com/v4/beta/dark_oil/volumes

Request Examples#

curl -X POST "https://hyperion.api.synmax.com/v4/beta/dark_oil/volumes" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'

Parameters#

Query#

Parameter

Type

Description

Example

aggregate_by

string array

Dimensions to aggregate by. If not specified, all dimensions are included.

[‘date’, ‘country’]

country

string array

An array of strings

date_max

string

The end date range in YYYY-MM-DD format

2021-11-24

date_min

string

The start date range in YYYY-MM-DD format

2021-11-24

terminal

string array

An array of strings

terminal_id

string array

An array of strings

Response#

Parameter

Type

Description

Example

count

integer

The count of transactions

42

country

string

Country where the terminal is located (included when aggregating by country)

United States

date

string

The date of the volume measurement (included when aggregating by date)

2021-11-24

images

integer

The count of satellite imagery captured

15

imputed_count

integer

The count imputed for days without imagery (0 when imagery exists)

13

imputed_volume

integer

The volume imputed for days without imagery (0 when imagery exists)

25000

terminal

string

Terminal name (included when aggregating by terminal)

Port of Houston

terminal_id

string

The unique identifier for the terminal (included when aggregating by terminal)

TERMINAL_001

total_count

integer

The total count including both observed and imputed values

55

total_volume

integer

The total volume including both observed and imputed values

150000

volume

integer

The total volume of transactions in barrels

125000

volume_unit

string

The unit of volume measurement

barrels

Aggregation#

Supported parameters: date, terminal, country, month, year